package com.common.commonlibtest.viewpagerlayoutmanager.circlescale;

import com.common.commonlib.view.viewpagerlayoutmanager.CircleScaleLayoutManager;
import com.common.commonlibtest.viewpagerlayoutmanager.BaseActivity;

public class CircleScaleLayoutActivity extends BaseActivity<CircleScaleLayoutManager, CircleScalePopUpWindow> {

    @Override
    protected CircleScaleLayoutManager createLayoutManager() {
        return new CircleScaleLayoutManager(this);
    }

    @Override
    protected CircleScalePopUpWindow createSettingPopUpWindow() {
        return new CircleScalePopUpWindow(this, getViewPagerLayoutManager(), getRecyclerView());
    }
}
